Bug 1844471 - 1.19 rebase: openshift-apiserver API conversions break
Summary: 1.19 rebase: openshift-apiserver API conversions break
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Lukasz Szaszkiewicz
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1844479 1844485 1844495 1844481
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-05 13:51 UTC by Stefan Schimanski
Modified: 2020-09-16 04:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1844479 1844481 1844485 1844495 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-apiserver pull 132 None closed Bug 1844471: bump kubernetes to 1.19.0-rc.2 2020-09-16 03:51:41 UTC
Github openshift openshift-apiserver pull 133 None closed Bug 1844471: updates the Dockerfile to use golang 1.14 2020-09-16 03:51:40 UTC
Github openshift openshift-apiserver pull 134 None closed Bug 1844471: Bump openshift apiserver to 1 19 2020-09-16 03:51:41 UTC
Github openshift release pull 11675 None closed Bug 1844471: updates golang to 1.14 for openshift-apiserver 2020-09-16 03:51:42 UTC

Description Stefan Schimanski 2020-06-05 13:51:45 UTC
Description of problem:

https://github.com/openshift/openshift-apiserver/pull/95 describes a blocker for the 1.19 rebase of openshift-apiserver: upstream k8s.io/apiserver has removed reflection based conversions for performance and correctness reasons (the reflection based conversion was never completely correct). Openshift-apiserver makes use of the old behaviour and we have to fix all API groups.

This bug is about the following API group (the others are assigned to dependent bugs):

oauth
project
user
security
quota

Comment 1 Stefan Schimanski 2020-06-18 11:37:27 UTC
Work in progress.

Comment 4 Michal Fojtik 2020-08-20 13:46:48 UTC
This is still work in progress... busy with other fires and TRT work. I will come back to this next week.

Comment 7 Ke Wang 2020-09-16 04:24:06 UTC
The bug related PRs have been loaded to the latest OCP build.

$ oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.6.0-0.nightly-2020-09-15-063156 | grep openshift-apiserver
 openshift-apiserver     https://github.com/openshift/openshift-apiserver       6159c04cbc1b3590f872c78eda3cd14bd6b1e87e
 
$ git log 6159c04cb | grep -E ' #132 | #133 | #134 '
    Merge pull request #134 from p0lyn0mial/bump-openshift-apiserver-to-1-19
    Merge pull request #133 from p0lyn0mial/bump-to-golang-1-14
    Merge pull request #132 from p0lyn0mial/rebase-19-from-mfojtik

$ oc version -o yaml
clientVersion:
  buildDate: "2020-09-04T06:40:10Z"
  compiler: gc
  gitCommit: f2a4a0375cc7b0eacb5467a0214303983e1151d6
  gitTreeState: clean
  gitVersion: 4.6.0-202009040605.p0-f2a4a03
  goVersion: go1.14.4
  major: ""
  minor: ""
  platform: linux/amd64
openshiftVersion: 4.6.0-0.nightly-2020-09-15-063156
serverVersion:
  buildDate: "2020-09-12T21:57:40Z"
  compiler: gc
  gitCommit: 35ab7c5750d948921201e2f38167a20e88c05f13
  gitTreeState: clean
  gitVersion: v1.19.0+35ab7c5
  goVersion: go1.14.7
  major: "1"
  minor: "19"
  platform: linux/amd64


Note You need to log in before you can comment on or make changes to this bug.